Name:		globus-libtool
%global _name %(tr - _ <<< %{name})
Version:	1.2
Release:	1%{?dist}
Summary:	Globus Toolkit - Globus libtool package

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://www.globus.org/
Source:		%{name}-pkg_data_src.gpt.in
Source9:	GLOBUS_LICENSE
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %{?fedora}%{!?fedora:0} >= 4
Requires:	libtool-ltdl
%else
%if %{?rhel}%{!?rhel:0} >= 5
Requires:	libtool-ltdl
%else
Requires:	libtool-libs
%endif
%endif
BuildRequires:	grid-packaging-tools
BuildRequires:	globus-core

%package devel
Summary:	Globus Toolkit - Globus libtool package Development Files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%if %{?fedora}%{!?fedora:0} >= 4
Requires:	libtool-ltdl-devel
%else
%if %{?rhel}%{!?rhel:0} >= 5
Requires:	libtool-ltdl-devel
%else
Requires:	libtool
%endif
%endif
Requires:	pkgconfig

%ifarch alpha ia64 ppc64 s390x sparc64 x86_64
%global flavor gcc64pthr
%else
%global flavor gcc32pthr
%endif

%global debug_package %{nil}

%description
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The %{name} package contains:
Globus libtool package (virtual GPT glue package)

%description devel
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The %{name}-devel package contains:
Globus libtool package Development Files (virtual GPT glue package)

%prep
%setup -T -c
cp -p %{SOURCE0} pkg_data_src.gpt.in

%build
LIBTOOL_VERSION=`libtoolize --version | head -1 | sed 's!.* !!'`

sed "s!@LIBTOOL_VERSION@!$LIBTOOL_VERSION!g" \
    < pkg_data_src.gpt.in > pkg_data_src.gpt

echo /share/globus/packages/%{_name}/%{flavor}_rtl.filelist > \
  %{flavor}_rtl.filelist
echo /share/globus/packages/%{_name}/pkg_data_%{flavor}_rtl.gpt >> \
  %{flavor}_rtl.filelist

echo /share/globus/packages/%{_name}/%{flavor}_dev.filelist > \
  %{flavor}_dev.filelist
echo /share/globus/packages/%{_name}/pkg_data_%{flavor}_dev.gpt >> \
  %{flavor}_dev.filelist

/usr/sbin/gpt_generate_bin_pkg_data --flavor=%{flavor} pkg_data_src.gpt

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}

install -m 644 pkg_data_%{flavor}_rtl.gpt %{flavor}_rtl.filelist \
  $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}
install -m 644 pkg_data_%{flavor}_dev.gpt %{flavor}_dev.filelist \
  $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}

mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
/usr/share/globus/globus-gpt2pkg-config pkg_data_%{flavor}_dev.gpt > \
  $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{name}.pc

# Generate package filelists

cat $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}/%{flavor}_rtl.filelist \
  | sed s!^!%{_prefix}! > package.filelist

cat $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}/%{flavor}_dev.filelist \
  | sed s!^!%{_prefix}! > package-devel.filelist

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p %{SOURCE9} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f package.filelist
%defattr(-,root,root,-)
%dir %{_datadir}/globus
%dir %{_datadir}/globus/packages
%dir %{_datadir}/globus/packages/%{_name}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE

%files -f package-devel.filelist devel
%defattr(-,root,root,-)
%dir %{_datadir}/globus
%dir %{_datadir}/globus/packages
%dir %{_datadir}/globus/packages/%{_name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Mar 20 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-1
- Change defines to globals

* Sun Mar 15 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-0.5
- Adapting to updated globus-core package

* Thu Feb 26 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-0.4
- Add s390x to the list of 64 bit platforms

* Mon Dec 29 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-0.3
- Adapt to updated GPT package

* Sun Oct 12 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-0.2
- Update to Globus Toolkit 4.2.1

* Mon Jul 14 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-0.1
- Autogenerated
